<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Iterator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Iterator</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Iterator

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Node.hh.html" target="detail">../Synopsis/PTree/Node.hh</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line71" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Iterator-inheritance" src="Iterator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Iterator-inheritance_map" />
<map name="Iterator-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Iterator_lNode_S_r">Iterator</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_mIterator_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line74" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="operator_l_r_l_r">operator&#40;&#41;</a>()  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_moperator_l_r_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line75" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="pop_l_r">pop</a>()  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_mpop_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line76" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="next_lNode_S_A_r">next</a>(<a href="Node.html" >Node</a>*&amp;)  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_mnext_lNode_S_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line77" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="reset_lNode_S_r">reset</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_mreset_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line78" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="get_l_r">get</a>()  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_mget_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line80" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="operator_S_l_r">operator*</a>()  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_moperator_S_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line81" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="operator_p_p_l_r">operator++</a>()  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_moperator_p_p_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line82" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="operator_p_p_lint_r">operator++</a>(int)  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_moperator_p_p_lint_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line83" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="empty_l_r">empty</a>()  </div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_mempty_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line84" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="ptree">ptree</a></div> <div class="xref"><a href="../../../XRef/xref8.html#Synopsis_mPTree_mIterator_mptree" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line86" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
